import * as express from 'express';
import * as bodyParser from 'body-parser';
import * as path from 'path';
import * as compression from 'compression';
import * as helmet from 'helmet';

const app = express();

// Configure Express
app.use(compression({ level: 9 }));
app.use(helmet({
  hidePoweredBy: false
}));
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));
app.use((err, req, res, next) =>
  res.status(500).send(JSON.stringify({ err: 'Bad request!' }))
);

// Route Frontend assets
const root = path.join(__dirname);
app.use('/', express.static(__dirname));

// Server Start
app.listen(3000, () => {
  console.log('🔳 Alain.xyz Running @ port 3000');
});